Package wx :: Package lib :: Module filebrowsebutton :: Class FileBrowseButtonWithHistory

[frames | no frames]

## Type FileBrowseButtonWithHistory

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
              FileBrowseButton --+
                                 |
                                FileBrowseButtonWithHistory

with following additions:

  __init__(..., history=None)

  > history -- optional list of paths for initial history drop-down
  >   (must be passed by name, not a positional argument) If history is callable it will must return a list used for the history drop-down
  > changeCallback -- as for FileBrowseButton, but with a work-around
  >   for win32 systems which don't appear to create wx.EVT_COMBOBOX events properly. There is a (slight) chance that this work-around will cause some systems to create two events for each Combobox selection. If you discover this condition, please report it!

  > As for a FileBrowseButton.__init__ otherwise.

  GetHistoryControl()
    Return reference to the control which implements interfaces required for manipulating the history list. See GetHistoryControl documentation for description of what that interface is.
  GetHistory()
    Return current history list
  SetHistory( value=(), selectionIndex = None )
    Set current history list, if selectionIndex is not None, select that index

Method Summary
| `__init__(self, *arguments, **namedarguments)`
| ``createTextControl`(self)` Create the text control
| ``GetHistory`(self)` Return the current history list
| ``GetHistoryControl`(self)` Return a pointer to the control which provides (at least) the following methods for manipulating the history list:
| ``OnSetFocus`(self, event)` When the history scroll is selected, update the history
| ``SetHistory`(self, value, selectionIndex, control)` Set the current history list

Property Summary

Instance Method Details

### createTextControl(self)

Create the text control

  Overrides:
    `wx.lib.filebrowsebutton.FileBrowseButton.createTextControl`

### GetHistory(self)

Return the current history list

### GetHistoryControl(self)

Return a pointer to the control which provides (at least) the following methods for manipulating the history list:

> Append( item ) -- add item Clear() -- clear all items Delete( index ) -- 0-based index to delete from list SetSelection( index ) -- 0-based index to select in list

Semantics of the methods follow those for the wxComboBox control

### OnSetFocus(self, event)

When the history scroll is selected, update the history

### SetHistory(self, value=(), selectionIndex=None, control=None)

Set the current history list

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:09 2007 | http://epydoc.sf.net